Bug 1480536 - (dnf module) dnf hangs when installing conflict pkg with allowerase
(dnf module) dnf hangs when installing conflict pkg with allowerase
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: dnf-modularity
  Show dependency treegraph
 
Reported: 2017-08-11 06:33 EDT by Irina Gulina
Modified: 2018-05-29 07:45 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:45:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Irina Gulina 2017-08-11 06:33:30 EDT
Description of problem:
If I want to install a package and dnf reports there is a conflict and suggests to use '--alowerase' and if to proceed, dnf hangs


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
>> [vagrant@fvagrant ~]$ docker exec boltron_container bash -l -c "dnf module install httpd/noprofile"

Error: No such profile: noprofile. Possible profiles: ['default', 'full', 'minimal', 'secured']
>> [vagrant@fvagrant ~]$ docker exec boltron_container bash -l -c "dnf module install httpd/minimal"

Package httpd-2.4.27-2.module_03973ca0.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

>> [vagrant@fvagrant ~]$ docker exec boltron_container bash -l -c "dnf module install httpd/default"

Package httpd-2.4.27-2.module_03973ca0.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

>> [vagrant@fvagrant ~]$ docker exec boltron_container bash -l -c "dnf module install httpd/full"

Package httpd-2.4.27-2.module_03973ca0.x86_64 is already installed, skipping.
Package httpd-tools-2.4.27-2.module_03973ca0.x86_64 is already installed, skipping.
Error: 
 Problem: problem with installed package coreutils-single-8.27-5.module_39876f37.x86_64
  - package coreutils-8.27-5.module_39876f37.x86_64 conflicts with coreutils-single provided by coreutils-single-8.27-5.module_39876f37.x86_64
  - package mod_ssl-1:2.4.27-2.module_03973ca0.x86_64 requires /bin/cat, but none of the providers can be installed
  - conflicting requests
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstalable packages)

>> [vagrant@fvagrant ~]$ docker exec boltron_container bash -l -c "dnf module install httpd/full --allowerasing"

Package httpd-2.4.27-2.module_03973ca0.x86_64 is already installed, skipping.
Package httpd-tools-2.4.27-2.module_03973ca0.x86_64 is already installed, skipping.
Dependencies resolved.
================================================================================
 Package           Arch    Version                        Repository       Size
================================================================================
Installing:
 mod_ldap          x86_64  2.4.27-2.module_03973ca0       fedora-modular   70 k
 mod_proxy_html    x86_64  1:2.4.27-2.module_03973ca0     fedora-modular   47 k
 mod_session       x86_64  2.4.27-2.module_03973ca0       fedora-modular   58 k
 mod_ssl           x86_64  1:2.4.27-2.module_03973ca0     fedora-modular  112 k
Installing dependencies:
 apr-util-ldap     x86_64  1.5.4-5.module_03973ca0        fedora-modular   22 k
 coreutils         x86_64  8.27-5.module_39876f37         fedora-modular  1.1 M
 coreutils-common  x86_64  8.27-5.module_39876f37         fedora-modular  1.9 M
Removing:
 coreutils-single  x86_64  8.27-5.module_39876f37         @System         1.3 M

Transaction Summary
================================================================================
Install  7 Packages
Remove   1 Package

Total download size: 3.3 M
Is this ok [y/N]: y

And it hangs....
Comment 1 Irina Gulina 2017-08-11 06:44:19 EDT
[vagrant@fvagrant ~]$ docker exec boltron_container bash -l -c "rpm -q dnf"
dnf-2.6.0-3.git.40.c0f7fc6.module_a7788b02.noarch
Comment 2 Jaroslav Mracek 2017-08-29 11:43:59 EDT
There is a problem in detection if docker is in interactive mode. I tried "docker run -it" and "docker run -t" with python script with:
os.isatty(sys.stdin.fileno())
sys.__stdin__.isatty()
sys.stdin.isatty()

but I was unable to find out any working solution how to distinguish between ``-it`` and ``-t``. Hope that someone in docker has a better solution.
Comment 3 Fedora End Of Life 2018-05-03 04:20:24 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 07:45:59 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.